<?php

function medical_medicare_remove_customize_register() {
    global $wp_customize;
    $wp_customize->remove_section( 'online_pharmacy_color_option' );
    $wp_customize->remove_section( 'online_pharmacy_documentation' );
}
add_action( 'customize_register', 'medical_medicare_remove_customize_register', 11 );

function medical_medicare_customize_register( $wp_customize ) {

   $wp_customize->add_section( 'medical_medicare_directions_section' , array(
        'title'      => __( 'Services Settings', 'medical-medicare' ),
        'panel' => 'online_pharmacy_panel_id'
    ) );

    $wp_customize->add_setting('medical_medicare_services_section_tittle',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field'
    )); 
    $wp_customize->add_control('medical_medicare_services_section_tittle',array(
        'label' => __('Section Title','medical-medicare'),
        'section'   => 'medical_medicare_directions_section',
        'type'      => 'text'
    ));

    $categories = get_categories();
    $cats = array();
    $i = 0;
    $medical_medicare_offer_cat[]= 'select';
    foreach($categories as $category){
        if($i==0){
            $default = $category->slug;
            $i++;
        }
        $medical_medicare_offer_cat[$category->slug] = $category->name;
    }

    $wp_customize->add_setting('medical_medicare_services_section_category',array(
        'default'   => 'select',
        'sanitize_callback' => 'online_pharmacy_sanitize_choices',
    ));
    $wp_customize->add_control('medical_medicare_services_section_category',array(
        'type'    => 'select',
        'choices' => $medical_medicare_offer_cat,
        'label' => __('Select Category','medical-medicare'),
        'section' => 'medical_medicare_directions_section',
    ));
}
add_action( 'customize_register', 'medical_medicare_customize_register' );